summaryrefslogtreecommitdiffstats
path: root/cat/test-virt-ls.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2010-11-22 12:37:55 +0000
committerRichard W.M. Jones <rjones@redhat.com>2010-11-23 09:48:05 +0000
commitf6d3d5677194ae7aaea70d43845341d91907b5ee (patch)
tree2e50bbad7ec4407127e2a9f869917da36421a3e5 /cat/test-virt-ls.sh
parentf33d899fd0900b0cfe6dbbb152ce2fcf479bd38c (diff)
downloadlibguestfs-f6d3d5677194ae7aaea70d43845341d91907b5ee.tar.gz
libguestfs-f6d3d5677194ae7aaea70d43845341d91907b5ee.tar.xz
libguestfs-f6d3d5677194ae7aaea70d43845341d91907b5ee.zip
ls: Rewrite virt-ls in C.
Diffstat (limited to 'cat/test-virt-ls.sh')
-rwxr-xr-xcat/test-virt-ls.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/cat/test-virt-ls.sh b/cat/test-virt-ls.sh
new file mode 100755
index 00000000..784fd67a
--- /dev/null
+++ b/cat/test-virt-ls.sh
@@ -0,0 +1,17 @@
+#!/bin/bash -
+
+export LANG=C
+set -e
+
+# Read out the test directory using virt-ls.
+if [ "$(./virt-ls ../images/fedora.img /bin)" != "ls
+test1
+test2
+test3
+test4
+test5
+test6
+test7" ]; then
+ echo "$0: error: unexpected output from virt-ls"
+ exit 1
+fi